checkpointStorage:
  storageType: s3
  checkpointDir: "s3://$checkpointStorage.checkpointDir"
  savepointDir: "s3://$checkpointStorage.savepointDir"
  s3:
    endpoint: "$checkpointStorage.s3.endpoint"
    pathStyleAccess: "true"
    existingSecret: "$INFISICAL_SECRET"

ingress:
  enabled: true
  host: "{{ .Name }}.{{ .Domain }}"
  className: apisix
  annotations:
    cert-manager.io/cluster-issuer: root-ca-issuer
    cert-manager.io/duration: 8760h
    cert-manager.io/renew-before: 720h
    k8s.apisix.apache.org/plugin-config-name: oidc-keycloak-authz

truststore:
  enabled: true
  secretName: flink-truststore

job:
  enabled: false